@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


@import "../support/_rulebuilderbackoffice_common-variables.scss";

.yrb-condition {
	&-breadcrumbs .rule-parent-condition {
		font-weight: $rulebuilder__breadcrumb-rule-parent--font-weight;
		font-size: $rulebuilder__breadcrumb-rule-parent--font-size;
		&.rule-parent-condition-y_group {
			color: $rulebuilder__breadcrumb-rule-parent-group--color;
			word-spacing: $rulebuilder__breadcrumb-rule-parent-group--word-spacing;
		}
		&.rule-parent-condition-y_container {
			color: $rulebuilder__breadcrumb-rule-parent-container--color;
		}
	}

	&.z-dragged>.yrb-condition-content>.yrb-condition-children {
		display: none;
	}
	&-children>.yrb-condition:first-child>.yrb-condition-content:before {
		background: $rulebuilder__ca-element--bg-color;
		overflow: auto;
	}
	&-y_group>.yrb-condition-content, 
	&-children>.yrb-condition-y_group:first-child>.yrb-condition-content:before {
		background: $rulebuilder__ca-group-element--bg-color;
	}
	&-y_container>.yrb-condition-content, 
	&-children>.yrb-condition-y_container:first-child>.yrb-condition-content:before {
		background: $rulebuilder__ca-contanier-element--bg-color;
	}
	&-caption-content{
		> .z-icon-caret-right, 
		> .z-icon-caret-down {
			position: absolute;
			left: $rulebuilder__ca-handle-node-title--padding-h;
			width: $rulebuilder__ca-container-node--size;
			height: $rulebuilder__ca-container-node--size;
			padding: 0;
			text-align: center;
			
			&:before {
				width: 100%;
				text-align: inherit;
			}
		}
		>.yrb-expandable-node {
			z-index: 3;
		}
		@if $rulebuilder__ca-children-elements-handle-string--inner == false {
			> .yrb-expandable-node,
			> .yrb-node {
			 	&:before {
			 		display: none;
			 	}
			}
		}
		>.yrb-parameters {
			display: block;
			background: none;
			border: 0;
			padding: $rulebuilder__ca-container-element-caption-parameters--padding;
			margin: $rulebuilder__ca-children-container-element-caption-param--margin-left 0;

			>.yrb-parameter {
				display: inline-block;
				margin: 0;
				border: 0;
				padding: 0;
				min-width: $rulebuilder__parameter-condition--min-width;
				max-width: $rulebuilder__parameter--max-width;
			}
		}
	}
	&-y_group,
	&-y_container {
		> .yrb-condition-content > .z-groupbox {
			.yrb-condition-caption-content {
				margin-top: $rulebuilder__ca-container-element-caption--space;
			}
			.yrb-parameters {
				margin-top: $rulebuilder__ca-container-element-parameters--margin-top;
			}
		}
	}
	@if $rulebuilder__ca-children-elements-handle-string--inner == false {
		&-y_group > .yrb-condition-content > .yrb-condition-children > .yrb-condition:first-child > .yrb-condition-content:before {
			background: $rulebuilder__ca-group-element--bg-color;;
		}
		&-y_container > .yrb-condition-content > .yrb-condition-children > .yrb-condition:first-child > .yrb-condition-content:before {
			background: $rulebuilder__ca-contanier-element--bg-color;
		}
	}
	&-content {
		@if $rulebuilder__ca-children-elements-handle-string--inner {
			> .z-groupbox > .z-groupbox-header .yrb-condition-caption-content > .yrb-node:before {
				@include _add-node-circle-half_vertically-centered();
			}
		}

		&:before {
			left: $rulebuilder__ca-handle-string--left;
		}
	}
	.z-groupbox-header .yrb-parameters {
		padding-left: $rulebuilder__ca-container-headline--padding-left;
	}
	&-children {
		padding: $rulebuilder__ca-children-container--padding;
		overflow: hidden;
		border: $rulebuilder__ca-container--border;
		border-width: $rulebuilder__ca-element-default--border-width 0 0;
		margin: $rulebuilder__ca-children-container--margin;
		.yrb-condition-children {
			border-width: $rulebuilder__ca-children-container--border-width;
		}
		
		.yrb-condition-caption-content {
			> .z-icon-caret-right, 
			> .z-icon-caret-down {
				left: 0;
				text-align: left;
			}
		}
		
		>.yrb-condition {
			position: relative;
			@if $rulebuilder__ca-children-elements-handle-string--inner == false {
				@include _add-node-circle-before();
				&:before {
					z-index: 1;
				}
			}
	
			&:first-child {
				border-top-width: 0;
				
				>.yrb-condition{
					&-content {
						@if $rulebuilder__ca-children-elements-handle-string--inner {
							> .z-groupbox > .z-groupbox-header .yrb-condition-caption-content > .yrb-node:before {
								@include _add-node-circle-half_vertically-centered();
							}
						}

						&:before {
							content: "";
							display: block;
							width: $rulebuilder__ca-handle-string-mask--width;
							height: $rulebuilder__ca-handle-string-mask--height;
							position: absolute;
							z-index: 2;
							top: 0;
							left: $rulebuilder__ca-handle-string-mask--left;
						}
					}
				}
			}
			&-y_group,
			&-y_container {
				border: $rulebuilder__ca-container--border;
				border-width: $rulebuilder__ca-group-container--border-width;
				
				&:before {
					margin-top: $rulebuilder__ca-container-element-caption--space;
				}

				@if $rulebuilder__ca-children-container--border-width {
					+ .yrb-condition {
						border-top-width: 0;
					}
				}

				&:first-child > .yrb-condition-content:before {
					height: $rulebuilder__ca-handle-string-mask--height + $rulebuilder__ca-container-element-caption--space;
				}
				> .yrb-condition-handle {
					margin-top: $rulebuilder__ca-container-element-caption--space;
				}
			}
			> .yrb-condition-handle {
				display: block;
				z-index: 0;
			}
			/*
				>.yrb-condition {
					@include _add-yrb-condition-type-hover-bg-color(#e1e7ef);
					&-y_container{
						&:hover {
							@include _add-yrb-condition-type-hover-bg-color(#f5f7f9);
						}
					}
					&-y_group{
						&:hover {
							@include _add-yrb-condition-type-hover-bg-color(#edf0f4);
						}
					}
				}
			*/
		}
	}
}

.yrb-condition-children > .yrb-condition:first-child > .yrb-condition-handle, 
.yrb-conditions > .yrb-condition>.yrb-condition-handle {
	display: none !important;
}
